<img src="https://harvey-os.org/images/harvey-os-logo.svg" alt="Harvey" width="200px"/>

# Harvey: A distributed operating system

Welcome to Harvey, we are delighted that you are interested in the
project.

## What is harvey?

Harvey is a distributed operating system. It’s most directly descended from [Plan 9 from Bell Labs](https://en.wikipedia.org/wiki/Plan_9_from_Bell_Labs). This heritage spans from its distributed application architecture all the way down to much of its code. However, Harvey aims to be a more practical, general-purpose operating system, so it also uses ideas and code from other systems.

### Getting started

Start by reading the [Getting Started](https://github.com/Harvey-OS/harvey/wiki/Getting-Started)
guide to learn how to get Harvey up and running.

### Contributing

You enjoyed playing with Harvey and you want to help out? Great!

Take a look at our [Contribution Guide](https://github.com/Harvey-OS/harvey/blob/master/CONTRIBUTING.md) it covers a wide variety of topics including the [Harvey coding style](https://github.com/Harvey-OS/harvey/blob/master/CONTRIBUTING.md#coding-conventions), [Code of Conduct](https://github.com/Harvey-OS/harvey/wiki/Code-of-Conduct), where to get help and so on.

### Docs

* [Harvey's wiki](https://github.com/Harvey-OS/harvey/wiki)
* [Apex's wiki](https://github.com/Harvey-OS/apex/wiki).

### Roadmap

#### v0.1

_Last updated_: 13th Apr, 2018

|   Status    | Milestone                                              | Goals |      ETA      |
| :---------: | :----------------------------------------------------- | :---: | :-----------: |
| In progress | [Go](https://github.com/orgs/Harvey-OS/projects/1) | 1 / 0 | March 2018 |
| Done | [Harvey](https://github.com/orgs/Harvey-OS/projects/2) | 1 / 1 | February 2018 |

### Status

* [![Build Status](https://travis-ci.org/Harvey-OS/harvey.svg?branch=master)](https://travis-ci.org/Harvey-OS/harvey)
* [![Coverity Badge](https://scan.coverity.com/projects/5328/badge.svg)](https://scan.coverity.com/projects/5328)

### Elsewhere

* [Mailing list](https://groups.google.com/forum/#!forum/harvey)
* [Slack](https://harvey-slack.herokuapp.com/)
* [Harvey's Blog](https://harvey-os.org/#news)
* [Twitter](https://twitter.com/harvey_os)

## Donate to Harvey!

Harvey is a proud member of [SFC](https://sfconservancy.org/projects/current/) and gladly accepts donations.

[![Donate](https://img.shields.io/badge/Donate-PayPal-brightgreen.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=7Q45ZGJBQZZVN)

## Licenses

* [![License GPL](https://img.shields.io/badge/license-GPL-blue.svg)](https://github.com/Harvey-OS/harvey/blob/master/LICENSE)
